### Constructor

# Dex Future new_enum

#### Declaration [src]

    DexFuture*
    dex_future_new_enum (
      GType enum_type,
      guint enum_value
    )

#### Description [src]

Creates a new `DexFuture` and resolves it with `enum_value`.

#### Parameters

`enum_type`

  Type: `GType`

  A `GType` of `G_TYPE_ENUM`.

`enum_value`

  Type: `guint`

  The enum value for the future.

#### Return value

Type: `DexFuture`

A resolved `DexFuture`.

The caller of the function takes ownership of the data, and is responsible for freeing it.